/*
 *  EXP-T -- A Relativistic Fock-Space Multireference Coupled Cluster Program
 *  Copyright (C) 2018-2022 The EXP-T developers.
 *
 *  This file is part of EXP-T.
 *
 *  EXP-T is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  EXP-T is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with EXP-T.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  E-mail:        exp-t-program@googlegroups.com
 *  Google Groups: https://groups.google.com/d/forum/exp-t-program
 */

#ifndef ELEMENTS_H_INCLUDED
#define ELEMENTS_H_INCLUDED

#define N_CHEM_ELEMENTS 131 // 130 + Ghost
#define MAX_ELEMENT_SYMBOL 8

typedef struct {
    int z;
    char sym[MAX_ELEMENT_SYMBOL];
} element_t;

void get_element_symbol(int z, char *sym);
int get_element_nuc_charge(char *sym);

#endif /* ELEMENTS_H_INCLUDED */
