/*
 *  EXP-T -- A Relativistic Fock-Space Multireference Coupled Cluster Program
 *  Copyright (C) 2018-2022 The EXP-T developers.
 *
 *  This file is part of EXP-T.
 *
 *  EXP-T is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  EXP-T is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with EXP-T.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  E-mail:        exp-t-program@googlegroups.com
 *  Google Groups: https://groups.google.com/d/forum/exp-t-program
 */

/*
 * Interfaces to other quantum chemistry software.
 * Interfaces implemented:
 *   DIRAC
 *   OneProp (by L. V. Skripnikov)
 *
 * 2018-2021 Alexander Oleynichenko
 */

#ifndef CC_INTERFACES_H_INCLUDED
#define CC_INTERFACES_H_INCLUDED

#include "options.h"

void dirac_interface(cc_options_t *opts);

#endif /* CC_INTERFACES_H_INCLUDED */